/// <reference types="node" />
import { PublicKey, TransactionInstruction } from "@solana/web3.js";
import { Creator } from ".";
export declare const AR_SOL_HOLDER_ID: PublicKey;
export declare const ARWEAVE_UPLOAD_URL: string;
declare type ArweaveFile = {
    filename: string;
    status: "success" | "fail";
    transactionId?: string;
    error?: string;
};
interface IArweaveResult {
    error?: string;
    messages?: Array<ArweaveFile>;
}
export declare type ArweaveEnv = 'mainnet-beta' | 'testnet' | 'devnet';
export declare function uploadToArweave(txid: string, mintKey: PublicKey, filesIn: Map<string, Buffer>, uploadUrl?: string, env?: ArweaveEnv): Promise<IArweaveResult>;
export declare const prepPayForFilesInstructions: (payer: PublicKey, filesIn: Map<string, Buffer>, uploadUrl?: string, env?: ArweaveEnv) => Promise<TransactionInstruction[]>;
export declare function getFilesWithMetadata(files: Map<string, Buffer>, metadata: {
    name: string;
    symbol: string;
    description: string;
    image: string | undefined;
    animation_url: string | undefined;
    external_url: string;
    properties: any;
    creators: Creator[] | null;
    sellerFeeBasisPoints: number;
}): Map<string, Buffer>;
export {};
//# sourceMappingURL=arweave.d.ts.map